/*************************************************************************
 *
 * mod_debug.h -- A sample module for IRMP3
 *
 * Copyright (C) by Christopher Wise <cwise@mordor.ses.swin.edu.au>
 *
 */

#ifndef __MOD_SEARCH_H__
#define __MOD_SEARCH_H__


struct item {
    char *name;
    char *path;
    char *display_str;
    struct item *previous_item;
    struct item *next_item;
};

typedef struct item listitem;

void mod_search_message (int msgtype, char *message);

char *mod_search_init (void);
void mod_search_deinit (void);
char *mod_search_reload (void);


/*************************************************************************
 * Internal functions
 */

listitem *mod_search_loadfile(int type);
listitem *add_to_list(listitem *start_ptr, char *name, char *path, char *display) ;
listitem *mod_search_cull(char *search_str, int search_level, listitem *source_list);
void mod_search_freeitem(listitem *item);
void mod_search_freelist(listitem *list);
void mod_search_evaluate (char *search_str, int search_level, listitem *main_list);
void mod_search_select(char *search_str, int stype);
void mod_search_showlist(int direction);
void mod_search_accept(listitem *item);


#endif /* __MOD_SEARCH_H__ */

/*************************************************************************
 * EOF
 */
